"Cannot open pixbuf loader module file"

Bug #1282294 reported by Seth Arnold on 2014-02-19
144
This bug affects 32 people
Affects Status Importance Assigned to Milestone
gdk-pixbuf (Debian)
New
Unknown
gdk-pixbuf (Ubuntu)
High
Unassigned

Bug Description

While doing testing on trusty, I keep finding errors like the following in my apt-get -u dist-upgrade output:

Preparing to unpack .../indicator-printers_0.1.7+14.04.20140213-0ubuntu1_amd64.deb ...
Unpacking indicator-printers (0.1.7+14.04.20140213-0ubuntu1) over (0.1.7daily13.03.01-0ubuntu1) ...

(gtk-update-icon-cache-3.0:29671): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

(gtk-update-icon-cache-3.0:29672): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
...
Processing triggers for hicolor-icon-theme (0.13-1) ...

(gtk-update-icon-cache-3.0:32198): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

These errors make it difficult to look for errors that I might have introduced in my own packages and if they persist in our final product will make users wonder what is broken and why it is broken.

sarnold@sec-trusty-amd64:~$ lsb_release -rd
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
sarnold@sec-trusty-amd64:~$ dpkg -S gdk-pixbuf-query-loaders
libgdk-pixbuf2.0-0:amd64: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders
sarnold@sec-trusty-amd64:~$ apt-cache policy libgdk-pixbuf2.0-0
libgdk-pixbuf2.0-0:
  Installed: 2.30.5-0ubuntu1
  Candidate: 2.30.5-0ubuntu1
  Version table:
 *** 2.30.5-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
sarnold@sec-trusty-amd64:~$ dpkg -S /usr/bin/gtk-update-icon-cache-3.0
libgtk-3-bin: /usr/bin/gtk-update-icon-cache-3.0
sarnold@sec-trusty-amd64:~$ apt-cache policy libgtk-3-bin
libgtk-3-bin:
  Installed: 3.10.7-0ubuntu2
  Candidate: 3.10.7-0ubuntu2
  Version table:
 *** 3.10.7-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status
sarnold@sec-trusty-amd64:~$

Thanks

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: libgtk-3-bin 3.10.7-0ubuntu2
ProcVersionSignature: User Name 3.13.0-5.20-generic 3.13.0
Uname: Linux 3.13.0-5-generic x86_64
ApportVersion: 2.13.2-0ubuntu5
Architecture: amd64
Date: Wed Feb 19 14:38:47 2014
InstallationDate: Installed on 2014-01-09 (41 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140108)
ProcEnviron:
 TERM=rxvt-unicode
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: gtk+3.0
UpgradeStatus: No upgrade log present (probably fresh install)

Seth Arnold (seth-arnold) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gtk+3.0 (Ubuntu):
status: New → Confirmed

It renders essential functionality of the package (or a dependent one) broken.

Changed in gtk+3.0 (Ubuntu):
importance: Undecided → High
Sebastien Bacher (seb128) wrote :

@Alberto: does it? those seem to be upgrade noise, it's not clear they actually have any user visible consequence

Seth Arnold (seth-arnold) wrote :

Sebastien, Alberto's been making these changes all over the place without understanding the specifics of the bugs.

But, I'd still very much like this bug fixed -- because it looks like an error during updates, I have to stop and look at it and discover if it really is an error or if it's this stupid thing still broken years after the first report. (Sorry, no link handy, I just know that I've seen this for years..)

Thanks

Peter Lemieux (seijisensei) wrote :

This error continues to persist even in today's Kubuntu 14.04 updates. It certainly ought to be fixed before 14.04 is officially released.

Sebastien Bacher (seb128) wrote :

The issue has been rapported to Debian on e.g https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=625203

The Debian gnome-pkg team looked at it and wrote that comment

"postrm (of the old package) removes the loaders.cache file unconditionally and
postinst (of the new package) creates it again.
That means, during upgrades there is a timeframe where loaders.cache does not exist.

When gtk-update-icon-cache is triggered via a file system trigger, it is
possible that it is run while loaders.cache is not present.

I talked to Joss on IRC.
He suggested to on remove the loaders.cache file in postrm only on remove|purge.
Otherwise gtk-update-icon-caches could be non-functional (this needs
verification though)

As we can't fix the postrm of the old package though, we should consider doing a
stable update via a point release.

We also need to make sure, to move/remove the loaders.cache for the multiarch
transition explicitly, as this will be no longer done as side-effect of postrm."

affects: gtk+3.0 (Ubuntu) → ubuntu
Changed in ubuntu:
status: Confirmed → Triaged
affects: ubuntu → gdk-pixbuf (Ubuntu)
Changed in gdk-pixbuf (Debian):
status: Unknown → New
SoloTurn (soloturn) wrote :

this is still present when upgrading from 14.04 to 14.10.

Processing triggers for hicolor-icon-theme (0.13-1) ...

(gtk-update-icon-cache-3.0:11599): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

root@st:~# gdk-pixbuf-query-loaders > /usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
The program 'gdk-pixbuf-query-loaders' is currently not installed. You can install it by typing:
apt-get install libgdk-pixbuf2.0-dev

maxwellcom (ndmaxwell) wrote :

"this is still present when upgrading from 14.04 to 14.10."

Having just upgraded 14.04->14.10, I would like to add a confirmation that the bug is still present.

(gtk-update-icon-cache-3.0:15482): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

pd5rm (pd5rm) wrote :

Also confirming on distro upgrade from 14.04 to 14.10.

(gtk-update-icon-cache-3.0:28900): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': N
o such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
Processing triggers for software-center (13.10-0ubuntu4.1) ...
Updating software catalog...this may take a moment.
Traceback (most recent call last):
  File "/usr/sbin/update-software-center", line 176, in <module>
    pathname, appinfo_dir=options.app_install_desktop_dir)
  File "/usr/share/software-center/softwarecenter/db/update.py", line 1147, in rebuild_database
    cache = get_pkg_info()
  File "/usr/share/software-center/softwarecenter/db/pkginfo.py", line 245, in get_pkg_info
    from softwarecenter.db.pkginfo_impl.aptcache import AptCache
  File "/usr/share/software-center/softwarecenter/db/pkginfo_impl/aptcache.py", line 30, in <module>
    from aptdaemon.client import AptClient
  File "/usr/lib/python2.7/dist-packages/aptdaemon/client.py", line 43, in <module>
    _GObject = GObject.GObject
  File "/usr/lib/python2.7/dist-packages/gi/__init__.py", line 62, in __getattr__
    raise AttributeError(_static_binding_error)
AttributeError: When using gi.repository you must not import static modules like "gobject". Please change all occurrences of "import gobject" to "from gi.reposit
ory import GObject". See: https://bugzilla.gnome.org/show_bug.cgi?id=709183

Woden Cafe (wodencafe) wrote :
Download full text (3.8 KiB)

I am upgrading from this: DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.10
DISTRIB_CODENAME=utopic
DISTRIB_DESCRIPTION="Ubuntu 14.10"
to
Ubuntu / Kubuntu 15.04

I can confirm I am getting this error during upgrade, many times:
...
Unpacking ksysguard (4:4.11.8-0ubuntu6) over (4:4.11.5-0ubuntu0.1) ...

(gtk-update-icon-cache-3.0:7760): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
Preparing to unpack .../libksignalplotter4_4%3a4.11.8-0ubuntu6_amd64.deb ...
Unpacking libksignalplotter4 (4:4.11.8-0ubuntu6) over (4:4.11.5-0ubuntu0.1) ...
,,,
Preparing to unpack .../humanity-icon-theme_0.6.5_all.deb ...
Unpacking humanity-icon-theme (0.6.5) over (0.6.4) ...

(gtk-update-icon-cache-3.0:27141): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

(gtk-update-icon-cache-3.0:27142): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
Preparing to unpack .../gir1.2-totem-plparser-1.0_3.10.2-0ubuntu1_amd64.deb ...
...
Processing triggers for hicolor-icon-theme (0.12-1ubuntu2) ...

(gtk-update-icon-cache:25668): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

(gtk-update-icon-cache-3.0:25669): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
dpkg: evolution-data-server-goa: dependency problems, but removing anyway as you requested:
 evolution-data-server depends on evolution-data-server-goa; however:
  Package evolution-data-server-goa is to be removed.

(Reading database ...
...
Processing triggers for hicolor-icon-theme (0.12-1ubuntu2) ...

(gtk-update-icon-cache:17083): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or di...

Read more...

Chelmite (steve-kelem) wrote :

This happened to me when trying to upgrade from 14.10 to 15.04.

Ben Coleman (oloryn) wrote :

Also happened to me on 14.10->15.04 upgrade.

Seth Arnold (seth-arnold) wrote :

A beer to whoever uploads SRUs for the postrm fix suggested in comment #7 payable the next time we meet. I'd so love to be rid of this annoying message even though I know full well it doesn't actually affect anything. We won't be rid of it "now", only some vague point in the future, but if all supported systems got SRU fixes today, we'd be that much closer to never seeing it again.

Thanks

A (ab3331) wrote :
Download full text (5.9 KiB)

And then this happened today...

apb@orange:~$ sudo apt-get upgrade
[sudo] password for apb:
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  adobe-flash-properties-gtk adobe-flashplugin gir1.2-gdkpixbuf-2.0
  google-chrome-stable libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-0:i386
  libgdk-pixbuf2.0-common
7 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 57.5 MB of archives.
After this operation, 2,476 kB disk space will be freed.
Do you want to continue? [Y/n]
Get:1 http://dl.google.com/linux/chrome/deb/ stable/main google-chrome-stable amd64 46.0.2490.71-1 [47.0 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libgdk-pixbuf2.0-0 amd64 2.30.7-0ubuntu1.2 [160 kB]
Get:3 http://archive.canonical.com/ubuntu/ trusty/partner adobe-flash-properties-gtk amd64 1:20151013.1-0trusty1 [113 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libgdk-pixbuf2.0-0 i386 2.30.7-0ubuntu1.2 [156 kB]
Get:5 http://archive.canonical.com/ubuntu/ trusty/partner adobe-flashplugin amd64 1:20151013.1-0trusty1 [10.1 MB]
Get:6 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main libgdk-pixbuf2.0-common all 2.30.7-0ubuntu1.2 [8,826 B]
Get:7 http://us.archive.ubuntu.com/ubuntu/ trusty-updates/main gir1.2-gdkpixbuf-2.0 amd64 2.30.7-0ubuntu1.2 [7,964 B]
Fetched 57.5 MB in 33s (1,715 kB/s)
(Reading database ... 170352 files and directories currently installed.)
Preparing to unpack .../libgdk-pixbuf2.0-0_2.30.7-0ubuntu1.2_i386.deb ...
De-configuring libgdk-pixbuf2.0-0:amd64 (2.30.7-0ubuntu1.1) ...
Unpacking libgdk-pixbuf2.0-0:i386 (2.30.7-0ubuntu1.2) over (2.30.7-0ubuntu1.1) ...
Preparing to unpack .../libgdk-pixbuf2.0-0_2.30.7-0ubuntu1.2_amd64.deb ...
Unpacking libgdk-pixbuf2.0-0:amd64 (2.30.7-0ubuntu1.2) over (2.30.7-0ubuntu1.1) ...
Preparing to unpack .../libgdk-pixbuf2.0-common_2.30.7-0ubuntu1.2_all.deb ...
Unpacking libgdk-pixbuf2.0-common (2.30.7-0ubuntu1.2) over (2.30.7-0ubuntu1.1) ...
Preparing to unpack .../google-chrome-stable_46.0.2490.71-1_amd64.deb ...
Unpacking google-chrome-stable (46.0.2490.71-1) over (45.0.2454.101-1) ...
Preparing to unpack .../adobe-flash-properties-gtk_1%3a20151013.1-0trusty1_amd64.deb ...
Unpacking adobe-flash-properties-gtk (1:20151013.1-0trusty1) over (1:20150921.1-0trusty1) ...
Preparing to unpack .../adobe-flashplugin_1%3a20151013.1-0trusty1_amd64.deb ...
Unpacking adobe-flashplugin (1:20151013.1-0trusty1) over (1:20150921.1-0trusty1) ...
Preparing to unpack .../gir1.2-gdkpixbuf-2.0_2.30.7-0ubuntu1.2_amd64.deb ...
Unpacking gir1.2-gdkpixbuf-2.0 (2.30.7-0ubuntu1.2) over (2.30.7-0ubuntu1.1) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...

(gtk-update-icon-cache-3.0:14008): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means ...

Read more...

Marat Khalili (mkh-t) wrote :

Happened to me during casual dist-upgrade on Ubuntu Gnome 14.04:
---
Processing triggers for gnome-icon-theme (3.10.0-0ubuntu2) ...

(gtk-update-icon-cache-3.0:9274): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
---

Simone (tigerjack89) wrote :

Same of Marat Khalili here

Norbert (nrbrtx) wrote :

Same on Ubuntu 14.04.5 amd64.
Fixed by
sudo apt-get install libgdk-pixbuf2.0-dev
sudo gdk-pixbuf-query-loaders | tee /usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

Ken Sharp (kennybobs) on 2018-02-16
tags: added: i386 xenial
Ken Sharp (kennybobs) on 2018-02-16
tags: removed: i386 xenial
Andreas Mohr (andi) wrote :

Not fully successfully fixed via comment #18:

$ sudo gdk-pixbuf-query-loaders | tee /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
tee: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied

Thus should instead do entire execution chain via an admin shell (e.g.: sudo -s) proper.
Also prefer using (pasting) the unmodified since original suggestion in installation log (due to other potential deviations such as architecture-specific i386 vs. x86_64 paths).

Seth Arnold (seth-arnold) wrote :

Please note that YOU the dear end user should do NOTHING about this.

The message is entirely useless because the error condition lasts only seconds. Which is why this error message is so annoying.

Thanks

Jim Tsillas (jtsillas) wrote :

I see this error in 18.04. The error recommends I try running a command

$ InstrumentationBrowser

(InstrumentationBrowser:24156): GdkPixbuf-WARNING **: 15:24:47.916: Cannot open pixbuf loader module file '/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
$ sudo gdk-pixbuf-query-loaders > /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache
bash: /usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders.cache: No such file or directory
$

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.